/* @import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap'); */
@import url("https://fonts.googleapis.com/css2?family=Outfit:wght@100;200;300;400;500;600;700;800;900&display=swap");

:root {
    --primaary-color: #2f363e;
    --bgcol: #091921;
    --bgcol: #091921;
    --shadow1: 10px 10px 70px rgba(0, 0, 0, 0.25),
        inset 5px 5px 10px rgba(0, 0, 0, 0.5),
        inset 5px 5px 20px rgba(255, 255, 255, 0.2),
        inset -5px -5px 15px rgba(0, 0, 0, 0.75);

    --shadow: 0 -15px 15px rgba(255, 255, 255, 0.05),
        inset 0 -15px 15px rgba(255, 255, 255, 0.05),
        0 15px 15px rgba(0, 0, 0, 0.05), inset 0 -15px 15px rgba(0, 0, 0, 0.05);
 
    --shadow2:inset 0 8px 60px rgba(0,0,0,0.1),
              inset 0 8px 8px rgba(0,0,0,0.1),
              inset 0 -4px -4px rgba(0,0,0,0.1);

    --border:2px solid rgba(255, 255, 255, 0.25);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    /* font-family: 'Poppins', sans-serif; */
    font-family: "Outfit", sans-serif;
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background-color: var(--bgcol);
    transition:0.5s;
}

.container {
    position: relative;
    /* min-height:500px; */
    background: var(--bgcol);
    border-radius: 50% 50% 20px 20px;
    box-shadow: 25px 25px 75px rgba(0, 0, 0, 0.35), var(--shadow);

    display: grid;
    place-items: center;
}

.clock {
    width: 450px;
    height: 450px;
    background-color: var(--bgcol);
    border-radius: 50%;
    box-shadow: var(--shadow);

    display: grid;
    place-items: center;
    margin-bottom: 30px;

    position: relative;
}

.clock::before {
    content: "";

    width: 8px;
    height: 8px;
    background-color: var(--primaary-color);
    border: 3px solid #fff;
    border-radius: 50%;

    position: absolute;

    z-index: 1000;
}

.clock ul {
    display: flex;
    list-style: none;
    /* position: relative; */
    /* position: absolute; */
}

.clock ul li {
    position: absolute;
    inset: 20px;
    color: #fff;
    text-align: center;
    transform: rotate(calc(30deg * var(--i))); /*360 deg /12 */
}

.clock ul li b {
    font-size: 2rem;
    opacity: 0.25;
    font-weight: 600;
    display: inline-block;
    transform: rotate(calc(-30deg * var(--i)));
}

.circle {
    width: 300px;
    height: 300px;
    border: var(--border);
    border-radius: 50%;
    position: absolute;

    display: flex;
    justify-content: center;
    align-items: flex-start;
    z-index: 10;
}

.circle i {
    position: absolute;
    width: 6px;
    height: 50%;
    background: var(--hand);
    /* z-index: 1; */

    opacity: 0.75;
    transform-origin: bottom;
    transform: scaleY(0.5);
}

.circle:nth-child(1) i {
    width: 2px;
}

.circle:nth-child(2) i {
    width: 4px;
}

.circle2 {
    width: 240px;
    height: 240px;

    z-index: 9;
}

.circle3 {
    width: 180px;
    height: 180px;
    z-index: 8;
}

.circle::before {
    content: "";
    width: 15px;
    height: 15px;
    background-color: var(--hand);

    position: absolute;
    top: -8.5px;

    border-radius: 50%;
    box-shadow: 0 0 20px var(--hand);
}

/* digital clock  style*/

#time {
    margin-bottom: 40px;
    display: flex;
    padding: 10px 20px;
    font-size: 2rem;
    font-weight: 600;
    /* border: 2px solid rgba(0, 0, 0, 0.5); */
    border-radius: 40px;
    /* box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.5),
        inset 5px 5px 20px rgba(255, 255, 255, 0.2),
        inset -5px -5px 15px rgba(0, 0, 0, 0.75); */

    box-shadow: var(--shadow);
}

#time div {
    position: relative;
    width: 60px;
    text-align: center;
    font-weight: 500;

    color: var(--hand);
    /* opacity:0.8; */
    text-shadow: 0 0 20px var(--hand);
}

#time div:nth-child(1)::after,
#time div:nth-child(2)::after {
    content: ":";
    position: absolute;
    right: -4px;
    top: -4px;
}

#time div:last-child {
    font-size: 0.5em;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
}

#time div:nth-child(2)::after {
    animation: myani 1s steps(1) infinite;
}

@keyframes myani {
    0% {
        opacity: 1;
    }

    50% {
        opacity: 0;
    }
}


